<template>
    <main class="flex-1 overflow-x-hidden overflow-y-auto bg-gray-200">
<div class="flex flex-col mt-8">
<div class="-my-2 py-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
    <div
        class="align-middle inline-block min-w-full shadow overflow-hidden sm:rounded-lg border-b border-gray-200">
        <table class="min-w-full mt-12">
            <thead>
            <tr>
                <th
                    class="px-6 py-3 border-b border-gray-200 bg-gray-50 text-left text-xs leading-4 font-medium text-gray-500 uppercase tracking-wider">
                    Name</th>
                <th
                    class="px-6 py-3 border-b border-gray-200 bg-gray-50 text-left text-xs leading-4 font-medium text-gray-500 uppercase tracking-wider">
                    Title</th>
                <th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
            </tr>
            </thead>

            <tbody class="bg-white" v-for="user in this.users">
            <tr>
                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
                    <div class="flex items-center">
                        <div class="flex-shrink-0 h-10 w-10">
                            <img class="h-10 w-10 rounded-full"
                                 src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&amp;ixid=eyJhcHBfaWQiOjEyMDd9&amp;auto=format&amp;fit=facearea&amp;facepad=2&amp;w=256&amp;h=256&amp;q=80"
                                 alt="">
                        </div>

                        <div class="ml-4">
                            <div class="text-sm leading-5 font-medium text-gray-900">{{ user.name }}
                            </div>
                            <div class="text-sm leading-5 text-gray-500">{{ user.email }}</div>
                        </div>
                    </div>
                </td>

                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
                    <div class="text-sm leading-5 text-gray-900">Software Engineer</div>
                    <div class="text-sm leading-5 text-gray-500">Web dev</div>
                </td>

                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
                                                <span
                                                    class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-green-100 text-green-800">Active</span>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
</div>
    </main>
</template>
<script>
import axios from "axios";
export default {
    data(){
        return{
            issues: null,
            magazine: null,
            users: null
        }
    },
    name: "Information",
    created() {
        this.load();
    },
    methods:{
        load(){
            axios.get('http://localhost:8000/api/user/display').then(response =>
            {
                this.users = response.data.data;
            })
        }
    }
}
</script>
